ComparisonPredicate.ComparisonOperator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.ejb.criteria.predicate
Enum ComparisonPredicate.ComparisonOperator

    java.lang.Object
      java.lang.Enum<ComparisonPredicate.ComparisonOperator>
          org.hibernate.ejb.criteria.predicate.ComparisonPredicate.ComparisonOperator

All Implemented Interfaces:
  Serializable, Comparable<ComparisonPredicate.ComparisonOperator>

Enclosing class:
  ComparisonPredicate

    public static enum ComparisonPredicate.ComparisonOperator

extends Enum<ComparisonPredicate.ComparisonOperator>

Defines the comparison operators. We could also get away with only 3 and use negation...

Enum Constant Summary
`EQUAL`
`GREATER_THAN`
`GREATER_THAN_OR_EQUAL`
`LESS_THAN`
`LESS_THAN_OR_EQUAL`
`NOT_EQUAL`

Method Summary
`abstract ComparisonPredicate.ComparisonOperator` | `negated()`
`abstract String` | `rendered()`
`static ComparisonPredicate.ComparisonOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComparisonPredicate.ComparisonOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final ComparisonPredicate.ComparisonOperator EQUAL

### NOT_EQUAL

    public static final ComparisonPredicate.ComparisonOperator NOT_EQUAL

### LESS_THAN

    public static final ComparisonPredicate.ComparisonOperator LESS_THAN

### LESS_THAN_OR_EQUAL

    public static final ComparisonPredicate.ComparisonOperator LESS_THAN_OR_EQUAL

### GREATER_THAN

    public static final ComparisonPredicate.ComparisonOperator GREATER_THAN

### GREATER_THAN_OR_EQUAL

    public static final ComparisonPredicate.ComparisonOperator GREATER_THAN_OR_EQUAL

Method Detail

### values

    public static ComparisonPredicate.ComparisonOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComparisonPredicate.ComparisonOperator c : ComparisonPredicate.ComparisonOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComparisonPredicate.ComparisonOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### negated

    public abstract ComparisonPredicate.ComparisonOperator negated()

### rendered

    public abstract String rendered()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.